Cyberduck Mountain Duck CLI

#5364 reopened enhancement

Defaults for metadata

Reported by: http://cdn.natesilva.com/ Owned by: dkocher
Priority: low Milestone:
Component: s3 Version: 3.7
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Summary

Amazon S3 files can have associated metadata (basically, HTTP headers).

Cyberduck lets you view and edit this metadata, which works fine.

However, I would like to have certain metadata applied to every S3 upload, without having to go in and change it after the fact. I expect this is a common requirement for CloudFront users, as the Cache-Control header is very important.

To support this, Cyberduck would need to support setting defaults for S3 uploads. For example, in the Edit > Preferences > S3 dialog, you could add controls for setting default headers. For comparison, see Transmit (on OS X) or CloudBerry Explorer for Amazon S3 (on Windows). Both of these allow the user to set default headers for S3 uploads.

Change History (13)

comment:1 Changed on Oct 22, 2010 at 9:22:00 AM by dkocher

  • Component changed from core to s3
  • Milestone set to 4.0
  • Owner set to dkocher
  • Summary changed from S3 support needs defaults for metadata to Defaults for metadata

comment:2 Changed on Oct 26, 2010 at 4:08:52 PM by dkocher

Note that you can select multiple files at once to change the metadata at once for all.

comment:3 Changed on Oct 26, 2010 at 4:14:22 PM by http://cdn.natesilva.com/

I did see that. One of my use cases is for graphic designers to be able to upload product images to Amazon S3. I don’t want to rely on them setting the metadata.

Even if you know how to set the metadata, it is a nice convenience. I would compare it to the defaults for Preferences > Transfers > Permissions. Even though permissions can be set manually later, it’s convenient to have them set by default.

Last edited on Nov 30, 2010 at 6:19:52 PM by dkocher (previous) (diff)

comment:4 Changed on Oct 26, 2010 at 4:28:21 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

Currently only possible using a hidden configuration option as of r7406. Multiple headers must be separated using a whitespace delimiter. Key and value of a header are seperated with =. For example if you want to add a HTTP header for Cache-Control and one named Creator you would set

defaults write ch.sudo.cyberduck s3.metadata.default "Cache-Control=public,max-age=86400 Creator=Cyberduck"

Must think about a user interface for this.

comment:5 Changed on Nov 18, 2010 at 4:03:23 PM by dkocher

  • Milestone changed from 4.0 to 4.1
  • Resolution fixed deleted
  • Status changed from closed to reopened

Should add table to edit default metadata in S3 tab of preferences. Note that as of r7605 you can recursively apply metadata to objects in a bucket or folder.

comment:6 follow-up: Changed on Dec 1, 2010 at 11:09:22 PM by dkocher

We should also provide an option for default metadata for Cloud Files and Azure.

comment:7 in reply to: ↑ 6 Changed on Dec 1, 2010 at 11:30:38 PM by dkocher

Replying to dkocher:

We should also provide an option for default metadata for Cloud Files and Azure.

In r7897.

comment:8 Changed on Dec 1, 2010 at 11:34:49 PM by dkocher

Documentation for S3, Cloud Files and Azure.

comment:9 Changed on Jun 9, 2011 at 9:17:59 AM by dkocher

  • Milestone changed from 4.1 to 4.2

comment:10 Changed on Nov 18, 2011 at 9:58:23 AM by dkocher

  • Milestone changed from 4.2 to 4.3

Milestone 4.2 deleted

comment:11 Changed on Sep 17, 2013 at 4:19:00 PM by dkocher

  • Milestone 4.5 deleted

comment:12 Changed on May 7, 2014 at 3:25:24 PM by dkocher

  • Priority changed from normal to low

comment:13 Changed on Mar 2, 2015 at 12:07:03 PM by dkocher

#8624 closed as duplicate.

Last edited on Apr 21, 2015 at 12:49:35 PM by dkocher (previous) (diff)
Note: See TracTickets for help on using tickets.
swiss made software